<!-- web页面 -->

<template>
	<view>
		<web-view :src="url"></web-view>
	</view>
</template>

<script>
	import commonData from '../../commonData.js'
	import commonFun from '../../commonFun.js'

	export default {
		data() {
			return {
				data: [{
						title: '0',
					},
					{
						title: '1',
					},
					{
						title: '2',
					},
					{
						title: '关于平台',
					},
					{
						title: '4',
					},
					{
						title: '5',
					},
					{
						title: '用户协议',
					},
					{
						title: '隐私政策',
					},


					{
						index: 8,
						title: '小优保障',
						tapid: 4,
					},
					{
						index: 9,
						title: '小优保险',
						tapid: 5,
					},
					{
						index: 10,
						title: '会员指南',
						tapid: 9,
					},
					{
						index: 11,
						title: '商家指南',
						tapid: 10,
					},
					{
						index: 12,
						title: '快来优',
					},
					{
						index: 13,
						title: '公告声明',
					},
				],
				url: '',
				id: '',
			}
		},

		onLoad(e) {
			let index = Number(e.index)
			// console.log(index)
			uni.setNavigationBarTitle({
				title: this.data[index]['title']
			})
			if (index == 12) { //轮播跳转
				this.url = commonFun.webviewServerUrlReq + '#/slide?id=' + (e.id)
			} else if (index == 13) {
				this.url = commonFun.webviewServerUrlReq + '#/about?id=11'
			} else if (index > 7) {
				this.url = commonFun.webviewServerUrlReq + '#/images?id=' + (this.data[index]['tapid'])
			} else {
				this.url = commonFun.webviewServerUrlReq + '#/about?id=' + (index)
			}
			console.log(this.url)
		}
	}
</script>

<style>
</style>
